Bug 1480259 - A-B repeat functionality
Summary: A-B repeat functionality
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xmms
Version: epel7
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-10 14:11 UTC by Oden Eriksson
Modified: 2019-01-19 00:43 UTC (History)
1 user (show)

Fixed In Version: xmms-1.2.11-32.20071117cvs.fc26 xmms-1.2.11-32.20071117cvs.fc25 xmms-1.2.11-32.20071117cvs.fc27 xmms-1.2.11-32.20071117cvs.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 00:22:27 UTC


Attachments (Terms of Use)
code changes (6.54 KB, patch)
2017-08-10 14:12 UTC, Oden Eriksson
no flags Details | Diff
spec file changes (1.39 KB, patch)
2017-08-10 14:12 UTC, Oden Eriksson
no flags Details | Diff

Description Oden Eriksson 2017-08-10 14:11:58 UTC
Hi,

To my amusement I found xmms in EPEL 7, very nice!

I just had to add my favourite function to it (again) after so many years. So, here it goes:

[oer@localhost BUILD]$ cat /usr/share/doc/xmms-1.2.11/README.MDK 
Additional features for the Mandrake Linux XMMS package.


The A-B feature
---------------

The A-B feature by Rodrigo Martins de Matos Ventura was found here:
http://lists.xmms.org/pipermail/xmms-devel/2002-January/002282.html
And was rediffed by Oden Eriksson Tue 18 Nov 2003.

Here's Rodrigos explaination what it is about:

"I just did a minor patch to CVS version of xmms, in order to
add a small but very useful (at least to me) feature: A-B
repetition. My old CD player has it, and it is extremely useful,
namely for transcribing music.

The idea is simple: anytime during play, you press the "A" key
(marks A point), the music keeps playing, when you press the "A" key
again (marks B point), it loops endlessly between the two marked
points, until the "S" key is pressed (clear), or a new A point is
marked. Morover, whenever a A-B range is defined, the "play"
button/menu jumps straight to the A position."



Patches will follow.

Comment 1 Oden Eriksson 2017-08-10 14:12:32 UTC
Created attachment 1311784 [details]
code changes

Comment 2 Oden Eriksson 2017-08-10 14:12:56 UTC
Created attachment 1311785 [details]
spec file changes

Comment 3 Fedora Update System 2017-09-01 20:28:59 UTC
xmms-1.2.11-32.20071117cvs.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4060180ea4

Comment 4 Fedora Update System 2017-09-01 20:29:08 UTC
xmms-1.2.11-32.20071117cvs.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a0ae2f9937

Comment 5 Fedora Update System 2017-09-01 20:29:14 UTC
xmms-1.2.11-32.20071117cvs.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e490fe4ca

Comment 6 Fedora Update System 2017-09-01 20:29:19 UTC
xmms-1.2.11-32.20071117cvs.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0282e5207b

Comment 7 Fedora Update System 2017-09-03 04:50:50 UTC
xmms-1.2.11-32.20071117cvs.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a0ae2f9937

Comment 8 Fedora Update System 2017-09-03 05:24:16 UTC
xmms-1.2.11-32.20071117cvs.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e490fe4ca

Comment 9 Fedora Update System 2017-09-03 06:25:45 UTC
xmms-1.2.11-32.20071117cvs.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0282e5207b

Comment 10 Fedora Update System 2017-09-03 19:54:42 UTC
xmms-1.2.11-32.20071117cvs.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4060180ea4

Comment 11 Fedora Update System 2017-09-12 00:22:27 UTC
xmms-1.2.11-32.20071117cvs.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-09-12 10:52:38 UTC
xmms-1.2.11-32.20071117cvs.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-09-30 06:12:44 UTC
xmms-1.2.11-32.20071117cvs.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-01-19 00:43:48 UTC
xmms-1.2.11-32.20071117cvs.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.